Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class QueryMetaDataRepository

    java.lang.Object
      |
      +--kodo.meta.QueryMetaDataRepository

public class QueryMetaDataRepository
extends Object

Repository for `QueryMetaData` instances.

Constructor Summary
`QueryMetaDataRepository(JDOConfiguration conf)` Constructor.

Method Summary
`void` | `addMetaData(QueryMetaData meta)` Add the given query metadata to the repository.
`void` | `clear()` Remove all metadatas from the repository and clear the parsed file cache.
`JDOConfiguration` | `getConfiguration()` Return the configuration.
`QueryMetaData` | `getMetaData(Class cls, String name, ClassLoader pmLoader, boolean mustExist)` Return query metadata for the given class, name, and classloader.
`QueryMetaData[]` | `getMetaDatas()` Return the cached query metadata.
`QueryMetaDataParser` | `getParser()` Return the current `QueryMetaDataParser`.
`boolean` | `hasMetaData(Class cls, String name)` Return if the repository has cached a query metadata for the given class/name.
`boolean` | `hasMetaData(String cls, String name)` Return if the repository has cached a query metadata for the given class/name.
`boolean` | `removeMetaData(Class cls, String name)` Remove query metadata for the given class name if in the repository.
`boolean` | `removeMetaData(QueryMetaData meta)` Remove the given query metadata from the repository.
`boolean` | `removeMetaData(String cls, String name)` Remove query metadata for the given class name if in the repository.
`void` | `setParser(QueryMetaDataParser parser)` Set or replace the query metadata parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryMetaDataRepository

    public QueryMetaDataRepository(JDOConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### getConfiguration

    public JDOConfiguration getConfiguration()

  Return the configuration.

### getParser

    public QueryMetaDataParser getParser()

  Return the current `QueryMetaDataParser`. Creates one if not already instantiated.

### setParser

    public void setParser(QueryMetaDataParser parser)

  Set or replace the query metadata parser.

### getMetaData

    public QueryMetaData getMetaData(Class cls,
                                     String name,
                                     ClassLoader pmLoader,
                                     boolean mustExist)

  Return query metadata for the given class, name, and classloader.

### getMetaDatas

    public QueryMetaData[] getMetaDatas()

  Return the cached query metadata.

### hasMetaData

    public boolean hasMetaData(Class cls,
                               String name)

  Return if the repository has cached a query metadata for the given class/name.

### hasMetaData

    public boolean hasMetaData(String cls,
                               String name)

  Return if the repository has cached a query metadata for the given class/name.

### addMetaData

    public void addMetaData(QueryMetaData meta)

  Add the given query metadata to the repository.

### removeMetaData

    public boolean removeMetaData(QueryMetaData meta)

  Remove the given query metadata from the repository.

### removeMetaData

    public boolean removeMetaData(Class cls,
                                  String name)

  Remove query metadata for the given class name if in the repository.

### removeMetaData

    public boolean removeMetaData(String cls,
                                  String name)

  Remove query metadata for the given class name if in the repository.

### clear

    public void clear()

  Remove all metadatas from the repository and clear the parsed file cache.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.